**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/24.3/file-staging/update-folder-or-file.md

# Update Folder or File



Move or rename a folder or file on the file staging server. You can move and rename an item in the same request.

<Endpoint path="/api/{version}/services/file_staging/items/{item}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `item` | The absolute path to a file or folder. This path is specific to the authenticated user. Admin users can access the root directory.  All other users can only access their own user directory. |
</FieldTable>

## Body Parameters {#body-parameters}

At least one of the following parameters is required:

<FieldTable>
| Name | Description |
| --- | --- |
| `parent` | When moving a file or folder, specifies the absolute path to the parent directory in which to place the file. |
| `name` | When renaming a file or folder, specifies the new name. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X PUT -H "Authorization: {SESSION_ID}"\
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "parent=/u10001400/cholecap-2021" \
--data-urlencode "name=cholecap-2021-brochure" \
https://myvault.veevavault.com/api/v20.3/services/file_staging/items/Cholecap-References/cholecap-brochure

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "job_id": 100949,
       "url": "/api/v20.3/services/jobs/100949"
   }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response contains the following information:

<FieldTable>
| Name | Description |
| --- | --- |
| `job_id` | The Job ID value to retrieve the status and results of the request. |
| `url` | URL to retrieve the current job status of this request. |
</FieldTable>

## Updating Files in the Inbox Directory {#updating-files-in-the-inbox-directory}

Renaming a file in your Vault's *Inbox* directory creates a new *Staged* document in your Vault and does not rename, remove, or update the previously created corresponding *Staged* document. [Learn more in Vault Help](https://platform.veevavault.help/en/lr/38653).



---

**Previous:** [Create Folder or File](/commercial/vault-api/api-reference/24.3/file-staging/create-folder-or-file)  
**Next:** [Delete File or Folder](/commercial/vault-api/api-reference/24.3/file-staging/delete-file-or-folder)